// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.3.2
// source: hp_agent.proto

package agentsProtobuf

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type HPResult struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PMin        float64 `protobuf:"fixed64,1,opt,name=P_min,json=PMin,proto3" json:"P_min,omitempty"`
	POptimal    float64 `protobuf:"fixed64,2,opt,name=P_optimal,json=POptimal,proto3" json:"P_optimal,omitempty"`
	PMax        float64 `protobuf:"fixed64,3,opt,name=P_max,json=PMax,proto3" json:"P_max,omitempty"`
	P           float64 `protobuf:"fixed64,4,opt,name=P,proto3" json:"P,omitempty"`
	QMin        float64 `protobuf:"fixed64,5,opt,name=Q_min,json=QMin,proto3" json:"Q_min,omitempty"`
	QOptimal    float64 `protobuf:"fixed64,6,opt,name=Q_optimal,json=QOptimal,proto3" json:"Q_optimal,omitempty"`
	QMax        float64 `protobuf:"fixed64,7,opt,name=Q_max,json=QMax,proto3" json:"Q_max,omitempty"`
	Q           float64 `protobuf:"fixed64,8,opt,name=Q,proto3" json:"Q,omitempty"`
	MsgSent     uint32  `protobuf:"varint,9,opt,name=msg_sent,json=msgSent,proto3" json:"msg_sent,omitempty"`
	MsgReceived uint32  `protobuf:"varint,10,opt,name=msg_received,json=msgReceived,proto3" json:"msg_received,omitempty"`
	SwarmSizeP  uint32  `protobuf:"varint,11,opt,name=swarm_size_p,json=swarmSizeP,proto3" json:"swarm_size_p,omitempty"`
	SwarmSizeQ  uint32  `protobuf:"varint,12,opt,name=swarm_size_q,json=swarmSizeQ,proto3" json:"swarm_size_q,omitempty"`
	VMeas       float64 `protobuf:"fixed64,13,opt,name=v_meas,json=vMeas,proto3" json:"v_meas,omitempty"`
	SOCEl       float64 `protobuf:"fixed64,14,opt,name=SOC_el,json=SOCEl,proto3" json:"SOC_el,omitempty"`
	Eth         float64 `protobuf:"fixed64,15,opt,name=Eth,proto3" json:"Eth,omitempty"`
	Connected   bool    `protobuf:"varint,16,opt,name=connected,proto3" json:"connected,omitempty"`
	Used        bool    `protobuf:"varint,17,opt,name=used,proto3" json:"used,omitempty"`
}

func (x *HPResult) Reset() {
	*x = HPResult{}
	if protoimpl.UnsafeEnabled {
		mi := &file_hp_agent_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HPResult) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HPResult) ProtoMessage() {}

func (x *HPResult) ProtoReflect() protoreflect.Message {
	mi := &file_hp_agent_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HPResult.ProtoReflect.Descriptor instead.
func (*HPResult) Descriptor() ([]byte, []int) {
	return file_hp_agent_proto_rawDescGZIP(), []int{0}
}

func (x *HPResult) GetPMin() float64 {
	if x != nil {
		return x.PMin
	}
	return 0
}

func (x *HPResult) GetPOptimal() float64 {
	if x != nil {
		return x.POptimal
	}
	return 0
}

func (x *HPResult) GetPMax() float64 {
	if x != nil {
		return x.PMax
	}
	return 0
}

func (x *HPResult) GetP() float64 {
	if x != nil {
		return x.P
	}
	return 0
}

func (x *HPResult) GetQMin() float64 {
	if x != nil {
		return x.QMin
	}
	return 0
}

func (x *HPResult) GetQOptimal() float64 {
	if x != nil {
		return x.QOptimal
	}
	return 0
}

func (x *HPResult) GetQMax() float64 {
	if x != nil {
		return x.QMax
	}
	return 0
}

func (x *HPResult) GetQ() float64 {
	if x != nil {
		return x.Q
	}
	return 0
}

func (x *HPResult) GetMsgSent() uint32 {
	if x != nil {
		return x.MsgSent
	}
	return 0
}

func (x *HPResult) GetMsgReceived() uint32 {
	if x != nil {
		return x.MsgReceived
	}
	return 0
}

func (x *HPResult) GetSwarmSizeP() uint32 {
	if x != nil {
		return x.SwarmSizeP
	}
	return 0
}

func (x *HPResult) GetSwarmSizeQ() uint32 {
	if x != nil {
		return x.SwarmSizeQ
	}
	return 0
}

func (x *HPResult) GetVMeas() float64 {
	if x != nil {
		return x.VMeas
	}
	return 0
}

func (x *HPResult) GetSOCEl() float64 {
	if x != nil {
		return x.SOCEl
	}
	return 0
}

func (x *HPResult) GetEth() float64 {
	if x != nil {
		return x.Eth
	}
	return 0
}

func (x *HPResult) GetConnected() bool {
	if x != nil {
		return x.Connected
	}
	return false
}

func (x *HPResult) GetUsed() bool {
	if x != nil {
		return x.Used
	}
	return false
}

var File_hp_agent_proto protoreflect.FileDescriptor

var file_hp_agent_proto_rawDesc = []byte{
	0x0a, 0x0e, 0x68, 0x70, 0x5f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x22, 0xa8, 0x03, 0x0a, 0x08, 0x48, 0x50, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x12, 0x13, 0x0a,
	0x05, 0x50, 0x5f, 0x6d, 0x69, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x01, 0x52, 0x04, 0x50, 0x4d,
	0x69, 0x6e, 0x12, 0x1b, 0x0a, 0x09, 0x50, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6d, 0x61, 0x6c, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x01, 0x52, 0x08, 0x50, 0x4f, 0x70, 0x74, 0x69, 0x6d, 0x61, 0x6c, 0x12,
	0x13, 0x0a, 0x05, 0x50, 0x5f, 0x6d, 0x61, 0x78, 0x18, 0x03, 0x20, 0x01, 0x28, 0x01, 0x52, 0x04,
	0x50, 0x4d, 0x61, 0x78, 0x12, 0x0c, 0x0a, 0x01, 0x50, 0x18, 0x04, 0x20, 0x01, 0x28, 0x01, 0x52,
	0x01, 0x50, 0x12, 0x13, 0x0a, 0x05, 0x51, 0x5f, 0x6d, 0x69, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28,
	0x01, 0x52, 0x04, 0x51, 0x4d, 0x69, 0x6e, 0x12, 0x1b, 0x0a, 0x09, 0x51, 0x5f, 0x6f, 0x70, 0x74,
	0x69, 0x6d, 0x61, 0x6c, 0x18, 0x06, 0x20, 0x01, 0x28, 0x01, 0x52, 0x08, 0x51, 0x4f, 0x70, 0x74,
	0x69, 0x6d, 0x61, 0x6c, 0x12, 0x13, 0x0a, 0x05, 0x51, 0x5f, 0x6d, 0x61, 0x78, 0x18, 0x07, 0x20,
	0x01, 0x28, 0x01, 0x52, 0x04, 0x51, 0x4d, 0x61, 0x78, 0x12, 0x0c, 0x0a, 0x01, 0x51, 0x18, 0x08,
	0x20, 0x01, 0x28, 0x01, 0x52, 0x01, 0x51, 0x12, 0x19, 0x0a, 0x08, 0x6d, 0x73, 0x67, 0x5f, 0x73,
	0x65, 0x6e, 0x74, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x07, 0x6d, 0x73, 0x67, 0x53, 0x65,
	0x6e, 0x74, 0x12, 0x21, 0x0a, 0x0c, 0x6d, 0x73, 0x67, 0x5f, 0x72, 0x65, 0x63, 0x65, 0x69, 0x76,
	0x65, 0x64, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0b, 0x6d, 0x73, 0x67, 0x52, 0x65, 0x63,
	0x65, 0x69, 0x76, 0x65, 0x64, 0x12, 0x20, 0x0a, 0x0c, 0x73, 0x77, 0x61, 0x72, 0x6d, 0x5f, 0x73,
	0x69, 0x7a, 0x65, 0x5f, 0x70, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0a, 0x73, 0x77, 0x61,
	0x72, 0x6d, 0x53, 0x69, 0x7a, 0x65, 0x50, 0x12, 0x20, 0x0a, 0x0c, 0x73, 0x77, 0x61, 0x72, 0x6d,
	0x5f, 0x73, 0x69, 0x7a, 0x65, 0x5f, 0x71, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0a, 0x73,
	0x77, 0x61, 0x72, 0x6d, 0x53, 0x69, 0x7a, 0x65, 0x51, 0x12, 0x15, 0x0a, 0x06, 0x76, 0x5f, 0x6d,
	0x65, 0x61, 0x73, 0x18, 0x0d, 0x20, 0x01, 0x28, 0x01, 0x52, 0x05, 0x76, 0x4d, 0x65, 0x61, 0x73,
	0x12, 0x15, 0x0a, 0x06, 0x53, 0x4f, 0x43, 0x5f, 0x65, 0x6c, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x01,
	0x52, 0x05, 0x53, 0x4f, 0x43, 0x45, 0x6c, 0x12, 0x10, 0x0a, 0x03, 0x45, 0x74, 0x68, 0x18, 0x0f,
	0x20, 0x01, 0x28, 0x01, 0x52, 0x03, 0x45, 0x74, 0x68, 0x12, 0x1c, 0x0a, 0x09, 0x63, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x18, 0x10, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x63, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x75, 0x73, 0x65, 0x64, 0x18,
	0x11, 0x20, 0x01, 0x28, 0x08, 0x52, 0x04, 0x75, 0x73, 0x65, 0x64, 0x42, 0x12, 0x5a, 0x10, 0x2e,
	0x2f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x62,
	0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_hp_agent_proto_rawDescOnce sync.Once
	file_hp_agent_proto_rawDescData = file_hp_agent_proto_rawDesc
)

func file_hp_agent_proto_rawDescGZIP() []byte {
	file_hp_agent_proto_rawDescOnce.Do(func() {
		file_hp_agent_proto_rawDescData = protoimpl.X.CompressGZIP(file_hp_agent_proto_rawDescData)
	})
	return file_hp_agent_proto_rawDescData
}

var file_hp_agent_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_hp_agent_proto_goTypes = []interface{}{
	(*HPResult)(nil), // 0: HPResult
}
var file_hp_agent_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_hp_agent_proto_init() }
func file_hp_agent_proto_init() {
	if File_hp_agent_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_hp_agent_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HPResult); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_hp_agent_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_hp_agent_proto_goTypes,
		DependencyIndexes: file_hp_agent_proto_depIdxs,
		MessageInfos:      file_hp_agent_proto_msgTypes,
	}.Build()
	File_hp_agent_proto = out.File
	file_hp_agent_proto_rawDesc = nil
	file_hp_agent_proto_goTypes = nil
	file_hp_agent_proto_depIdxs = nil
}
